Subject: Re: cvs executes illegal instructions
From: Steve Kelem <[email-masked]>
To: Michael A Chase <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Sat, 19 Oct 2002 23:30:01 -0700

Getting rid of C:\PalmDev\pilrc-2.8\cygwin1.dll seems to have done the 
trick!

Thanks for your help!
Steve

Michael A Chase wrote:

>On Fri, 27 Sep 2002 13:29:08 -0700 Steve Kelem <[email-masked]> wrote:
>
>  
>
>>Here's the actual output:
>>
>>Thanks for any help you can give.
>>
>>Steve
>>
>>% which -a cvs
>>-a: Command not found
>>/usr/bin/cvs
>>    
>>
>
>I don't use csh or tcsh routinely, so I forgot they have an internal
>command which.  My intent was to find out if you have another cvs command
>somewhere in your path.  Cygwin's cvs at least appears to be the first in
>line.
>
>  
>
>>% cvs commit
>>cvs commit: Examining .
>>cvs commit: Examining src
>>cvs commit: Examining src/com
>>cvs commit: Examining src/com/kelem
>>cvs commit: Examining src/com/kelem/database
>>cvs commit: Examining src/com/kelem/database/appl
>>cvs commit: Examining src/com/kelem/appl
>>cvs commit: Examining src/com/kelem/appl/palm
>>cvs commit: Examining src/com/kelem/utils
>>Cannot load VDM IPX/SPX support
>>
>>Log message unchanged or not specified
>>a)bort, c)ontinue, e)dit, !)reuse this message unchanged for remaining
>>dirs
>>Action: (continue)a
>>cvs [commit aborted]: aborted by user
>>    
>>
>
>I still don't see how the "16 bit MS-DOS Subsystem" is being engaged.  All
>your path directories appear to be on the local drive, are there any
>symlinks for executables to other drives?  What is in your initialization
>files (e.g., ~/.cvsrc)?
>
>You have an old cygwin1.dll in C:\PalmDev\pilrc-2.8\.  That sometimes
>causes problems with odd symptoms.  Make absolutely sure it is not in use
>when you are running cvs.  Renaming it and rebooting might be worthwhile. 
>A newer set of Palm tools that uses a newer Cygwin (if available) would
>also be a good idea.
>
>Someone else will have to help you, I'm not any sort of CVS expert.
>
>  
>
>>% cygcheck -s
>>
>>Cygwin Win95/NT Configuration Diagnostics
>>Current System Time: Fri Sep 27 13:20:58 2002
>>
>>Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 3
>>
>>Path:        c:\home\kelem\bin\i386
>>        c:\home\kelem\bin\sh
>>        C:\cygwin\usr\local\gnu\bin
>>        C:\Java\jdk1.4\bin
>>        C:\cygwin\usr\local\ant\jakarta-ant-1.5\bin
>>        C:\home\kelem\src\java\SableCC\sablecc-2.17.3\bin
>>        C:\cygwin\usr\jakarta-ant\jakarta-ant-1.4.1\bin
>>        C:\cygwin\usr\local\bin
>>        C:\cygwin\bin
>>        C:\cygwin\bin
>>        C:\cygwin\usr\local\gnu\emacs-20.7\bin
>>        C:\cygwin\usr\X11R6\bin
>>        C:\PalmDev\pilrc-2.8
>>        C:\PalmDev\ASDK\asdk1a1\bin
>>        C:\PalmDev\Waba\wabasdk.10\bin
>>        C:\cygwin\usr\etc
>>
>>SysDir: G:\WINNT\System32
>>WinDir: G:\WINNT
>>
>>HOME = `c:\home\kelem'
>>LD_LIBRARY_PATH =
>>`\usr\local\gnu\mh\lib:\usr\local\gnu\lib:\usr\local\gnu\lib\rvplayer5.0:
>>\usr\local\lib'
>>MAKE_MODE = `unix'
>>PWD = `/home/kelem/src/java/Real/rlpp'
>>USER = `kelem'
>>    
>>
>
>I don't think LD_LIBRARY_PATH is being used for anything, but it seems odd
>to for it to have '\'s in the POSIX paths.
>
>  
>
>>Use `-r' to scan registry
>>
>>a:  fd           N/A    N/A                    
>>c:  hd  FAT32  17451Mb 100% CP    UN           SCSI
>>d:  hd  FAT32  17507Mb   5% CP    UN           D
>>e:  cd           N/A    N/A                    
>>f:  cd           N/A    N/A                    
>>g:  hd  FAT32   2192Mb  92% CP    UN           IDE
>>h:  hd  FAT32  76297Mb  43% CP    UN           
>>z:  fd  FAT      238Mb  46% CP    UN           WORK2
>>
>>C:                                 /c         user    binmode
>>G:                                 /g         user    textmode
>>.                                  /cygdrive  user    binmode,cygdrive
>>C:/cygwin                          /          system  binmode
>>C:                                 /c         system  binmode
>>D:                                 /d         system  binmode
>>C:\Java                            /Java      system  binmode
>>C:/cygwin/bin                      /usr/bin   system  binmode
>>C:/cygwin/lib                      /usr/lib   system  binmode
>>C:\cygwin\usr\X11R6\lib\X11\fonts  /usr/X11R6/lib/X11/fonts  system  binmode
>>.                                  /cygdrive  user    binmode,cygdrive
>>
>>Found: C:\cygwin\bin\bash.exe
>>Found: C:\cygwin\bin\cat.exe
>>Found: C:\cygwin\bin\cpp.exe
>>Found: C:\cygwin\bin\find.exe
>>Found: C:\cygwin\bin\gcc.exe
>>Found: C:\cygwin\bin\gdb.exe
>>Found: C:\cygwin\bin\ld.exe
>>Found: C:\cygwin\usr\local\bin\ls.exe
>>Found: C:\cygwin\bin\ls.exe
>>Found: C:\cygwin\bin\make.exe
>>Found: C:\cygwin\bin\sh.exe
>>
>>    
>>
>
>  
>
>>  883k 2002/07/06 C:\cygwin\bin\cygwin1.dll
>>    Cygwin DLL version info:
>>        DLL version: 1.3.12
>>        DLL epoch: 19
>>        DLL bad signal mask: 19005
>>        DLL old termios: 5
>>        DLL malloc env: 28
>>        API major: 0
>>        API minor: 54
>>        Shared data: 3
>>        DLL identifier: cygwin1
>>        Mount registry: 2
>>        Cygnus registry name: Cygnus Solutions
>>        Cygwin registry name: Cygwin
>>        Program options name: Program Options
>>        Cygwin mount registry name: mounts v2
>>        Cygdrive flags: cygdrive flags
>>        Cygdrive prefix: cygdrive prefix
>>        Cygdrive default prefix: 
>>        Build date: Sat Jul 6 02:16:58 EDT 2002
>>        CVS tag: cygwin-1-3-12-1
>>        Shared id: cygwin1S3
>>
>>   41k 2002/05/14 C:\cygwin\usr\X11R6\bin\cygPropList-0.dll
>>  446k 2001/02/08 C:\PalmDev\pilrc-2.8\cygwin1.dll
>>    Cygwin DLL version info:
>>        DLL version: 2.0.1
>>        DLL epoch: 19
>>        DLL bad signal mask: 19005
>>        API major: 0
>>        API minor: 3
>>        Shared data: 1
>>        DLL identifier: cygwin
>>        Mount registry: 1
>>        Cygnus registry name: Cygnus Solutions
>>        Cygwin registry name: CYGWIN.DLL setup
>>        Program options name: Program Options
>>        Cygwin mount registry name: b15.0
>>        Build date: Thu Dec 3 20:39:18 PST 1998
>>        CVS taggnu-win32-b20-branch: 
>>        Shared id: cygwinS1
>>    
>>
>
>  
>
>>Michael A Chase wrote:
>>
>>    
>>
>>>On Wed, 18 Sep 2002 15:10:44 -0700 Steve Kelem <[email-masked]>
>>>      
>>>
>>wrote:
>>    
>>
>>> 
>>>
>>>      
>>>
>>>>I'm running cvs 1.11 on Windows 2000, and the latest cygwin inside
>>>>        
>>>>
>>tcsh 
>>    
>>
>>>>6.11.00.
>>>>If I run "cvs commit" from tcsh, it runs a bit, and then brings up a
>>>>popup:
>>>>
>>>>16 bit MS-DOS Subsystem
>>>>The NTVDM CPU has encountered an illegal instruction.
>>>>CS:00cf IP:0514 OP:ff ff 00 00 98 Choose 'Close' to terminate the 
>>>>application.
>>>>
>>>>If I click on "Ignore", I get two more popups (clicking on "Ignore"
>>>>        
>>>>
>>each 
>>    
>>
>>>>time),
>>>>then I get the message:
>>>>Log message unchanged or not specified
>>>>a)bort, c)ontinue, e)dit, !)reuse this message unchanged for remaining
>>>>dirs
>>>>Action: (continue)
>>>>
>>>>So, cvs appears not to like not having a message specified ("-m"
>>>>        
>>>>
>>flag), 
>>    
>>
>>>>but it's a rather rude way of telling me.
>>>>   
>>>>
>>>>        
>>>>
>>>I wouldn't expect any Cygwin programs to invoke the "16 bit MS-DOS
>>>Subsystem".  Please run "cygcheck -s" at the same command prompt as you
>>>      
>>>
>>are
>>    
>>
>>>running cvs from.  If none of that rings a bell for you, post it to the
>>>list and maybe someone (probably not me) can spot your problem.  The
>>>      
>>>
>>output
>>>from "which -a cvs" might also be interesting.
>>    
>>
>>> 
>>>
>>>      
>>>
>>
>>
>>    
>>
>
>
>  
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/